cURL
curl -X DELETE https://api.neuraldraft.io/v1/components/cmp_2Ngd9KqLmRpW \
-H "Authorization: Bearer ndsk_live_yourkey"await nd.components.delete("cmp_2Ngd9KqLmRpW");
requests.delete(
f"https://api.neuraldraft.io/v1/components/{id}",
headers={"Authorization": f"Bearer {key}"},
)
<?php
$client->delete("components/{$id}", [
'headers' => ['Authorization' => 'Bearer '.$key],
]);
{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}Components
Delete a component
DELETE
/
components
/
{id}
cURL
curl -X DELETE https://api.neuraldraft.io/v1/components/cmp_2Ngd9KqLmRpW \
-H "Authorization: Bearer ndsk_live_yourkey"await nd.components.delete("cmp_2Ngd9KqLmRpW");
requests.delete(
f"https://api.neuraldraft.io/v1/components/{id}",
headers={"Authorization": f"Bearer {key}"},
)
<?php
$client->delete("components/{$id}", [
'headers' => ['Authorization' => 'Bearer '.$key],
]);
{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}Authorizations
Project API key. Pass as Authorization: Bearer ndsk_live_.... Manage
keys via /projects/me/api-keys. Test-mode keys use
the ndsk_test_ prefix.
Path Parameters
Example:
"cmp_2Ngd9KqLmRpW"
Response
Deleted.